import { EntityRepository, Repository } from "typeorm";
import { HomePagePackageSectionCmsEntity } from "./entities/home-page-package-section-cms.entity";
import { UpdateHomePagePackageSectionCmsDto } from "./dto/update-home-page-package-section-cms.dto";

@EntityRepository(HomePagePackageSectionCmsEntity)
export class HomePagePackageSectionCmsRepository extends Repository<HomePagePackageSectionCmsEntity> {

    async createEntity(dto: UpdateHomePagePackageSectionCmsDto): Promise<HomePagePackageSectionCmsEntity | Error> {
        try {
            const entity = this.create({
                heading: dto.heading,
                title: dto.title
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateHomePagePackageSectionCmsDto, id: string): Promise<HomePagePackageSectionCmsEntity | Error> {
        try {
            await this.update(id, {
                heading: dto.heading,
                title: dto.title
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<HomePagePackageSectionCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}