import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { HomePageAboutSectionController } from "./home-page-about-section.controller";
import { HomePageAboutSectionService } from "./home-page-about-section.service";
import { HomePageAboutSectionRepository } from "./home-page-about-section.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageAboutSectionRepository])
    ],
    controllers: [HomePageAboutSectionController],
    providers: [HomePageAboutSectionService, JwtHelper]
})
export class HomePageAboutSectionModule {}
