import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { HomePagePromotionSectionController } from "./home-page-promotion-section.controller";
import { HomePagePromotionSectionRepository } from "./home-page-promotion-section.repository";
import { HomePagePromotionSectionService } from "./home-page-promotion-section.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePagePromotionSectionRepository])
    ],
    controllers: [HomePagePromotionSectionController],
    providers: [HomePagePromotionSectionService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePagePromotionSectionModule {}
